firefox 彻底损坏,用新立得无法恢复,怎么办?

为当前最终发行版之前的所有版本提供支持
回复
liu
帖子: 108
注册时间: 2006-03-19 11:20
送出感谢: 0
接收感谢: 0
联系:

firefox 彻底损坏,用新立得无法恢复,怎么办?

#1

帖子 liu » 2006-03-20 11:44

dapper flight5
因为系统自带的firefox打开五六个标签后,标签页之间切换耗时长达二三秒。无奈之下只好尝试用文档里的FirefoxNewVersion方法重新安装“来自mozilla.org的firefox”。

严格按照指南行事。安装过程中有几次尝试用ln命令的,都提示“文件已存在”,这时我只好把相应的原有文件 sudo rm -rf 掉。但我绝对没有删除不含“firfox”字样的文件夹。

完成测试:
~$ firefox
/home/l/firefox/run-mozilla.sh: line 131: 14816 段错误 "$prog" ${1+"$@"}
“firefox1.5在开始的时候崩溃”。

虽然dapper默认的scim版本远高于scim-1.0.2,但我也不能排除冲突的可能。因此用新立得卸载了这个不能用的firefox(同时软件自动卸载 firefox-gnome-support gnome-app-install mozilla-firefox-locale-zh-cn ubuntu-desktop yelp),尝试重新安装系统自带的firefox(同时软件自动安装了 firefox-gnome-support gnome-app-install mozilla-firefox-locale-zh-cn ubuntu-desktop yelp)。

但是firefox仍然在开始的时候崩溃,症状和提示与之前完全一样!

我现在该怎么挽救我的firefox? 谢谢!

(我现在正在用Dillo,不支持js/css但异常快、异常棒的浏览器;向大家推荐。——虽然它并不能取代firefox。)
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-03-20 13:01

要就opera
● 鸣学
liu
帖子: 108
注册时间: 2006-03-19 11:20
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 liu » 2006-03-20 22:38

谢谢eexpress,我还是比较习惯用firefox。

哪位大侠能麻烦给个提示? 实在不甘心,ubuntu下一个这么常用的软件,一朝崩溃,就从此“万劫不复”了么;这也太可怕了。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-03-21 8:20

没有出现过...其实软件不是你那么删的,就像你在windows里面直接删除,就有可能出现安装也安装不了,卸载也卸载不了的情况.

你试试 apt-get remove firefox,或者,在新立得里面把勾去掉的方法卸载.

另外,在ln提示有文件存在的话,你用ln -f命令就好了,rm -rf命令太严厉了.我也是新手,文件不敢随便删的.删之前都备份....

我记得dapper里面的firefox就是1.5的版本.在我机器上firefox在切换标签的时候也有稍微的停顿现象,不过不严重.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
dsyin
帖子: 116
注册时间: 2006-03-08 22:20
送出感谢: 0
接收感谢: 0

#5

帖子 dsyin » 2006-03-21 10:20

标签页之间切换停顿太严重,可以试试删除firefox 的配置文件:

rm ~/.mozilla -rf
liu
帖子: 108
注册时间: 2006-03-19 11:20
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 liu » 2006-03-21 15:04

karron 写了:没有出现过...其实软件不是你那么删的,就像你在windows里面直接删除,就有可能出现安装也安装不了,卸载也卸载不了的情况.

你试试 apt-get remove firefox,或者,在新立得里面把勾去掉的方法卸载.

另外,在ln提示有文件存在的话,你用ln -f命令就好了,rm -rf命令太严厉了.我也是新手,文件不敢随便删的.删之前都备份....

我记得dapper里面的firefox就是1.5的版本.在我机器上firefox在切换标签的时候也有稍微的停顿现象,不过不严重.
谢谢karron,确实是我考虑问题太简单,不注意用最合理命令酿成的后果。

我感觉apt-get remove 和新立得去掉勾实质是一样的吧。那看来现在这个问题还没有办法解决了——因为我已经用新立得试过好几回了。

windows下软件损坏,一般覆盖安装后,再卸载或安装就不会有任何问题。而且删除文件的话,如果只删软件安装目录,不会对系统造成“不可挽回”的影响。

而linux下却仿佛没这么简单——这是我感到比较头疼的地方。

继续求助……
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 karron » 2006-03-21 15:16

你把firefox的配置文件删除试试呢?一般在个人目录下面 .firefox,是个隐藏文件夹.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
chenyu
帖子: 80
注册时间: 2006-02-27 18:06
来自: FZU
送出感谢: 0
接收感谢: 0

#8

帖子 chenyu » 2006-03-21 19:31

新立得不是可以reinstall重新安装一个包吗?有文件损坏一下就恢复了,删除用彻底删除,就把配置文件一起删了
ziyilove_521
帖子: 4
注册时间: 2006-09-30 11:59
送出感谢: 0
接收感谢: 0

#9

帖子 ziyilove_521 » 2006-11-11 4:59

我也出现了这个问题,~$ firefox
/home/l/firefox/run-mozilla.sh: line 131: 14816 段错误 "$prog" ${1+"$@"}
“firefox1.5在开始的时候崩溃”
具体什么原因 不清楚,但最后还算是解决了,方法如下

先在 新立德里面把FIREFOX 删除,再重新装上,新建一新用户,登录新用户后把 用户目录下面的 .mozilla 文件夹拷到 你的用户目录下,覆盖后即可。
引火虫
帖子: 750
注册时间: 2006-08-28 9:08
来自: 安徽/安庆
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 引火虫 » 2006-11-11 7:30

1.5有很久都没有用了,
我是下了个2.0,
解压出来就可以用了,
很稳定,
可以升级,
没有1.5那么多毛病,
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

#11

帖子 jimmin » 2006-11-11 8:15

eexpress 写了:要就opera
opera需要注册吗?它可以看那些Firefox不能看得电影网页吗?
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 SuperWar3Fan » 2006-11-11 8:29

opera不需要注册。速度比fox还快!
回复

回到 “老旧版本支持”